Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Vector_T.h File Reference

`#include "ace/Array.h"`
`#include "ace/Vector_T.i"`
`#include "ace/Vector_T.cpp"`

Include dependency graph for Vector_T.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Vector
| Defines an STL-like vector container. More...
class | ACE_Vector_Iterator
| Implement an iterator over an ACE_Vector. More...
## Variables
const size_t | ACE_VECTOR_DEFAULT_SIZE = 32

## Detailed Description

Id:
  Vector_T.h,v 4.8 2003/12/03 17:19:20 shuston Exp

Author:
  Craig L. Ching <cching@mqsoftware.com> , Gonzalo Diethelm <gonzalo.diethelm@aditiva.com>

## Variable Documentation

const size_t ACE_VECTOR_DEFAULT_SIZE = 32